Promote an existing Page post: creates the campaign, ad set and ad in one call (Meta only)
curl --request POST \
--url https://api.plugkit.co/v1/ads/{accountId}/boost \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"postId": "123456789_987654321",
"dailyBudget": 2000,
"days": 123,
"countries": [
"FR",
"BE"
],
"ageMin": 18,
"ageMax": 65,
"name": "<string>"
}
'import requests
url = "https://api.plugkit.co/v1/ads/{accountId}/boost"
payload = {
"postId": "123456789_987654321",
"dailyBudget": 2000,
"days": 123,
"countries": ["FR", "BE"],
"ageMin": 18,
"ageMax": 65,
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
postId: '123456789_987654321',
dailyBudget: 2000,
days: 123,
countries: ['FR', 'BE'],
ageMin: 18,
ageMax: 65,
name: '<string>'
})
};
fetch('https://api.plugkit.co/v1/ads/{accountId}/boost', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.plugkit.co/v1/ads/{accountId}/boost",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'postId' => '123456789_987654321',
'dailyBudget' => 2000,
'days' => 123,
'countries' => [
'FR',
'BE'
],
'ageMin' => 18,
'ageMax' => 65,
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.plugkit.co/v1/ads/{accountId}/boost"
payload := strings.NewReader("{\n \"postId\": \"123456789_987654321\",\n \"dailyBudget\": 2000,\n \"days\": 123,\n \"countries\": [\n \"FR\",\n \"BE\"\n ],\n \"ageMin\": 18,\n \"ageMax\": 65,\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.plugkit.co/v1/ads/{accountId}/boost")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"postId\": \"123456789_987654321\",\n \"dailyBudget\": 2000,\n \"days\": 123,\n \"countries\": [\n \"FR\",\n \"BE\"\n ],\n \"ageMin\": 18,\n \"ageMax\": 65,\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.plugkit.co/v1/ads/{accountId}/boost")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"postId\": \"123456789_987654321\",\n \"dailyBudget\": 2000,\n \"days\": 123,\n \"countries\": [\n \"FR\",\n \"BE\"\n ],\n \"ageMin\": 18,\n \"ageMax\": 65,\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"campaign": {
"id": "<string>",
"name": "<string>",
"status": "PAUSED",
"objective": "<string>",
"daily_budget": "<unknown>",
"lifetime_budget": "<unknown>",
"bid_strategy": "<string>"
},
"adSet": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"campaign_id": "<string>",
"daily_budget": "<unknown>",
"targeting": {}
},
"ad": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"adset_id": "<string>",
"campaign_id": "<string>"
}
}{
"error": "2 validation errors on the request.",
"type": "invalid_request_error",
"code": "validation_failed",
"details": {
"fields": [
"content should not be empty",
"accountIds must be an array"
]
}
}{
"error": "Invalid API key.",
"type": "authentication_error",
"code": "unauthorized"
}{
"error": "No post found with id 'cm3post000001'.",
"type": "not_found",
"code": "post_not_found",
"details": {
"id": "cm3post000001"
}
}{
"error": "Rate limit exceeded: 60 write requests per minute. Retry in 12s.",
"type": "rate_limit_error",
"code": "rate_limited",
"details": {
"limit": 60,
"bucket": "write",
"retryAfter": 12
}
}{
"error": "Invalid OAuth access token.",
"type": "platform_error",
"code": "platform_request_failed",
"platform": "meta",
"platformError": {
"code": 190,
"message": "Invalid OAuth access token."
}
}ads
Promote an existing Page post: creates the campaign, ad set and ad in one call (Meta only)
POST
/
v1
/
ads
/
{accountId}
/
boost
Promote an existing Page post: creates the campaign, ad set and ad in one call (Meta only)
curl --request POST \
--url https://api.plugkit.co/v1/ads/{accountId}/boost \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"postId": "123456789_987654321",
"dailyBudget": 2000,
"days": 123,
"countries": [
"FR",
"BE"
],
"ageMin": 18,
"ageMax": 65,
"name": "<string>"
}
'import requests
url = "https://api.plugkit.co/v1/ads/{accountId}/boost"
payload = {
"postId": "123456789_987654321",
"dailyBudget": 2000,
"days": 123,
"countries": ["FR", "BE"],
"ageMin": 18,
"ageMax": 65,
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
postId: '123456789_987654321',
dailyBudget: 2000,
days: 123,
countries: ['FR', 'BE'],
ageMin: 18,
ageMax: 65,
name: '<string>'
})
};
fetch('https://api.plugkit.co/v1/ads/{accountId}/boost', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.plugkit.co/v1/ads/{accountId}/boost",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'postId' => '123456789_987654321',
'dailyBudget' => 2000,
'days' => 123,
'countries' => [
'FR',
'BE'
],
'ageMin' => 18,
'ageMax' => 65,
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.plugkit.co/v1/ads/{accountId}/boost"
payload := strings.NewReader("{\n \"postId\": \"123456789_987654321\",\n \"dailyBudget\": 2000,\n \"days\": 123,\n \"countries\": [\n \"FR\",\n \"BE\"\n ],\n \"ageMin\": 18,\n \"ageMax\": 65,\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.plugkit.co/v1/ads/{accountId}/boost")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"postId\": \"123456789_987654321\",\n \"dailyBudget\": 2000,\n \"days\": 123,\n \"countries\": [\n \"FR\",\n \"BE\"\n ],\n \"ageMin\": 18,\n \"ageMax\": 65,\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.plugkit.co/v1/ads/{accountId}/boost")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"postId\": \"123456789_987654321\",\n \"dailyBudget\": 2000,\n \"days\": 123,\n \"countries\": [\n \"FR\",\n \"BE\"\n ],\n \"ageMin\": 18,\n \"ageMax\": 65,\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"campaign": {
"id": "<string>",
"name": "<string>",
"status": "PAUSED",
"objective": "<string>",
"daily_budget": "<unknown>",
"lifetime_budget": "<unknown>",
"bid_strategy": "<string>"
},
"adSet": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"campaign_id": "<string>",
"daily_budget": "<unknown>",
"targeting": {}
},
"ad": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"adset_id": "<string>",
"campaign_id": "<string>"
}
}{
"error": "2 validation errors on the request.",
"type": "invalid_request_error",
"code": "validation_failed",
"details": {
"fields": [
"content should not be empty",
"accountIds must be an array"
]
}
}{
"error": "Invalid API key.",
"type": "authentication_error",
"code": "unauthorized"
}{
"error": "No post found with id 'cm3post000001'.",
"type": "not_found",
"code": "post_not_found",
"details": {
"id": "cm3post000001"
}
}{
"error": "Rate limit exceeded: 60 write requests per minute. Retry in 12s.",
"type": "rate_limit_error",
"code": "rate_limited",
"details": {
"limit": 60,
"bucket": "write",
"retryAfter": 12
}
}{
"error": "Invalid OAuth access token.",
"type": "platform_error",
"code": "platform_request_failed",
"platform": "meta",
"platformError": {
"code": 190,
"message": "Invalid OAuth access token."
}
}Authorizations
Body
application/json
Response
Success